element.cpp File Reference
`#include <gecode/set/element.hh>`

Go to the source code of this file.

## Classes

class | Gecode::Int::ViewToVarArg< Gecode::Set::ConstSetView >
| VarArg type for constant Set views. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.

## Functions

void | Gecode::element (Home home, SetOpType op, const SetVarArgs &x, SetVar y, SetVar z, const IntSet &u=IntSet(Set::Limits::min, Set::Limits::max))
| Post propagator for .
void | Gecode::element (Home home, SetOpType op, const IntVarArgs &x, SetVar y, SetVar z, const IntSet &u=IntSet(Set::Limits::min, Set::Limits::max))
| Post propagator for .
void | Gecode::element (Home home, SetOpType op, const IntSetArgs &x, SetVar y, SetVar z, const IntSet &u=IntSet(Set::Limits::min, Set::Limits::max))
| Post propagator for .
void | Gecode::element (Home home, SetOpType op, const IntArgs &x, SetVar y, SetVar z, const IntSet &u=IntSet(Set::Limits::min, Set::Limits::max))
| Post propagator for .
void | Gecode::element (Home home, const SetVarArgs &x, IntVar y, SetVar z)
| Post propagator for .
void | Gecode::element (Home home, const IntSetArgs &s, IntVar y, SetVar z)
| Post propagator for .
void | Gecode::element (Home home, const IntSetArgs &a, IntVar x, int w, IntVar y, int h, SetVar z)
| Post propagator for .
void | Gecode::element (Home home, const SetVarArgs &a, IntVar x, int w, IntVar y, int h, SetVar z)
| Post propagator for .